pipeline:
  build_test:
    image: maven:3.9-eclipse-temurin-17
    when:
      event: [ push, pull_request, tag ]
    commands:
      - mvn -B -DskipTests=false clean verify

  package:
    image: maven:3.9-eclipse-temurin-17
    when:
      event: [ push, tag ]
    commands:
      - mvn -B -DskipTests clean package

